#ifndef CAMERA_H
#define CAMERA_H

using namespace Salamander;

namespace Salamander
{
	class Body;
}

class Camera
{
    public:
        Camera(Body& follow);
        virtual ~Camera();

        void update();

    private:
		Vec2 translation_;
		Body& follow_;
};


#endif // CAMERA_H
